%define anolis_release 1

Name:           python-Keras-Preprocessing
Version:        1.1.2
Release:        %{anolis_release}%{?dist}
Summary:        Data preprocessing and augmentation package for deep learning models
License:        MIT
Group:          Development/Languages/Python
URL:            https://pypi.org/project/Keras-Preprocessing
Source0:        https://files.pythonhosted.org/packages/5e/f1/b44337faca48874333769a29398fe4666686733c8880aa160b9fd5dfe600/Keras_Preprocessing-%{version}.tar.gz

BuildRequires:  python3-setuptools python3-devel
BuildRequires:  python-rpm-macros
BuildRequires:  python3-numpy >= 1.9.1
BuildRequires:  python3-six >= 1.9.0

Requires:       python3-numpy >= 1.9.1
Requires:       python3-six >= 1.9.0
Recommends:     python3-scipy >= 0.14

BuildArch:      noarch

%description
Keras Preprocessing is the data preprocessing and data augmentation
module of the Keras deep learning library. It provides utilities for
working with image data, text data, and sequence data.

%package -n python3-Keras-Preprocessing
Summary:        Data preprocessing and augmentation package for deep learning models

%description -n python3-Keras-Preprocessing
Keras Preprocessing is the data preprocessing and data augmentation
module of the Keras deep learning library. It provides utilities for
working with image data, text data, and sequence data.

%package -n python3-Keras-Preprocessing-doc
Summary:        Doc files for python3-Keras-Preprocessing
Requires:       python3-Keras-Preprocessing = %{EVR}

%description -n python3-Keras-Preprocessing-doc
Doc files for python3-Keras-Preprocessing

%prep
%setup -q -n Keras_Preprocessing-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-Keras-Preprocessing
%license LICENSE
%{python3_sitelib}/*

%files -n python3-Keras-Preprocessing-doc
%doc README.md

%changelog
* Mon May 15 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.1.2-1
- init from upstream
